<?php 
	require_once("../includes/bootstrap2.php");
	$sesion=new sesion(); // inicio la sesion
	
	if(!comprobar_sesion()){
		$responce->error = 'sesion';
		echo json_encode($responce);
		exit();
	}
	
	$academia=bootstrap::initBd($sesion->get('anio'));
	$codgardo=$_GET['cd'];
	$tipus=$sesion->get('ac_tipo_user');
	if($sesion->getVar('cod_cmps.cd_docen')==$tipus){
		$cd_docente=$sesion->getVar('info_doc.cod_profesor');
		$sql="SELECT aca_asignaturas.cod_asi, lcase(aca_asignaturas.nom_asi) AS nom_asi, MAX(aca_asignaturasxgrupos.num_evaluaciones) AS nper FROM aca_asignaturasxgrupos INNER JOIN aca_grupos  ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) WHERE (aca_grupos.cod_grado =$codgardo and aca_asignaturasxgrupos.cod_profesor =$cd_docente AND aca_asignaturasxgrupos.promediar =1) GROUP BY cod_asi ORDER BY aca_asignaturas.pri_asi;";
	}else{
		$sql="SELECT aca_asignaturas.cod_asi, lcase(aca_asignaturas.nom_asi) AS nom_asi, MAX(aca_asignaturasxgrupos.num_evaluaciones) AS nper FROM aca_asignaturasxgrupos INNER JOIN aca_grupos  ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) WHERE (aca_grupos.cod_grado =$codgardo AND aca_asignaturasxgrupos.promediar =1) GROUP BY cod_asi ORDER BY aca_asignaturas.pri_asi;";
	}
	
	$mayus_mat=$sesion->getVar('configuracion.format_mat');
	$academia->instruccion($sql);
	$i=0;
	while($row=$academia->extraer_registro()){
		$rt[$i]['c']=$row['cod_asi'];
		$rt[$i]['n']=formatoPalabras($row['nom_asi'],$mayus_mat);
		$rt[$i]['p']=formatoPalabras($row['nper'],$mayus_mat);
		$i++;
	}
	$academia->liberar();
	echo json_encode($rt);
	$academia->cerrar();
?>
